package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderReturnGoods;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderReturnGoodsExample;

import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface UnifiedOrderReturnGoodsMapper {

	long countByExample(UnifiedOrderReturnGoodsExample example);

	int deleteByExample(UnifiedOrderReturnGoodsExample example);

	int deleteByPrimaryKey(Long id);

	int insert(UnifiedOrderReturnGoods record);

	int insertSelective(UnifiedOrderReturnGoods record);

	List<UnifiedOrderReturnGoods> selectByExample(UnifiedOrderReturnGoodsExample example);

	UnifiedOrderReturnGoods selectByPrimaryKey(Long id);

	int updateByExampleSelective(@Param("record") UnifiedOrderReturnGoods record, @Param("example") UnifiedOrderReturnGoodsExample example);

	int updateByExample(@Param("record") UnifiedOrderReturnGoods record, @Param("example") UnifiedOrderReturnGoodsExample example);

	int updateByPrimaryKeySelective(UnifiedOrderReturnGoods record);

	int updateByPrimaryKey(UnifiedOrderReturnGoods record);
}